'
' Copyright (c) 2016, MindFusion LLC - Bulgaria.
'


Partial Public Class ListBoundReport
    Inherits Report

    Public Sub New()

        InitializeComponent()

        MovieDataBindingSource.DataSource = New MovieData

    End Sub

    Private Sub canvas1_RenderContents(ByVal sender As System.Object, ByVal e As MindFusion.Reporting.DrawCanvasEventArgs) Handles canvas2.RenderContents

        Dim canvas = CType(sender, Canvas)
        Dim rating = System.Convert.ToSingle(e.DataValue)
        Dim contents = String.Format("Rating: {0}", rating)

        Dim textBounds As RectangleF = e.Bounds
        textBounds.Height /= 2
        Dim format As New StringFormat()
        format.Alignment = StringAlignment.Center
        format.LineAlignment = StringAlignment.Center
        Dim font As New Font(FontName, FontSize, FontStyle)
        e.Graphics.DrawString(contents, font, Brushes.Black, textBounds, format)
        font.Dispose()
        format.Dispose()

        Dim starBounds = e.Bounds
        starBounds.Height /= 2
        starBounds.Y += starBounds.Height
        Dim star = My.Resources.Star
        Dim starDisabled = My.Resources.StarDisabled
        Dim starMid = My.Resources.StarMid
        Dim size = 9.0F

        Dim point As New PointF(starBounds.Left + starBounds.Width / 2 - size * 5 / 2, _
         starBounds.Top + starBounds.Height / 2 - size / 2)
        For i As Integer = 1 To 5

            Dim thisStar As Image = IIf(rating < i * 2, IIf(i * 2 - 1 < rating, starMid, starDisabled), star)
            Dim imageBounds As New RectangleF(point.X, point.Y, size, size)
            e.Graphics.DrawImage(thisStar, imageBounds)
            point.X += size

        Next i


    End Sub

End Class
