'
' Copyright (c) 2016, MindFusion LLC - Bulgaria.
'

Imports MindFusion.Reporting.Export


Public Class MainForm

    Public Sub New()

        InitializeComponent()

        Dim report As New ListBoundReport()
        reportViewer.Report = report

    End Sub

    ' <summary>
    ' Handles the Click event of the Preview menu.
    ' </summary>
    Private Sub menuItemPreview_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles menuItemPreview.Click

        Dim printer As New ReportPrinter()
        printer.Report = reportViewer.Report

        Dim options As New PreviewOptions()
        options.TitleBarIcon = Me.Icon

        Dim preview As New PrintPreviewForm()
        preview.Text = "Catalog Report (Preview)"
        preview.Document = printer
        preview.ShowDialog()

    End Sub

    ' <summary>
    ' Handles the Click event of the Exit menu.
    ' </summary>
    Private Sub menuItemExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles menuItemExit.Click

        Me.Close()

    End Sub

    Private Sub imageToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles imageToolStripMenuItem.Click

        Dim dialog As New SaveFileDialog()
        dialog.Filter = "Image Files (*.png)|*.png|All Files (*.*)|*.*||"
        If dialog.ShowDialog(Me) = DialogResult.OK Then

            Dim exporter As New ImageExporter()
            exporter.PageSize = New SizeF(612, 792)
            exporter.Margins = New Margins(36)
            exporter.Export(reportViewer.Report, dialog.FileName)

        End If

    End Sub

    Private Sub htmlToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles htmlToolStripMenuItem.Click

        Dim dialog As New SaveFileDialog()
        dialog.Filter = "HTML Files (*.html)|*.html|All Files (*.*)|*.*||"
        If dialog.ShowDialog(Me) = DialogResult.OK Then

            Dim exporter = New HtmlExporter()
            exporter.PageSize = New SizeF(612, 792)
            exporter.Margins = New Margins(36)
            exporter.Export(reportViewer.Report, dialog.FileName)

        End If

    End Sub

    Private Sub pdfToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles pdfToolStripMenuItem.Click

        Dim dialog As New SaveFileDialog()
        dialog.Filter = "PDF Files (*.pdf)|*.pdf|All Files (*.*)|*.*||"
        If dialog.ShowDialog(Me) = DialogResult.OK Then

            Dim exporter As New PdfExporter()
            exporter.PageSize = New SizeF(612, 792)
            exporter.Margins = New Margins(36)
            exporter.Export(reportViewer.Report, dialog.FileName)

        End If

    End Sub

    Private Sub excelToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles excelToolStripMenuItem.Click

        Dim dialog As New SaveFileDialog()
        dialog.Filter = "Excel Files (*.xlsx)|*.xlsx|All Files (*.*)|*.*||"
        If dialog.ShowDialog(Me) = DialogResult.OK Then

            Dim exporter As New ExcelExporter()
            exporter.PageSize = New SizeF(612, 792)
            exporter.Margins = New Margins(36)
            exporter.Export(reportViewer.Report, dialog.FileName)

        End If

    End Sub

End Class
